org.eclipse.gmt.modisco.infra.browser.uicore.extensions.naming

## Interface NameProvider

All Known Subinterfaces:
  FilteredNameProvider

All Known Implementing Classes:
  AbstractNameProvider

Deprecated.
Will be replaced by EMF Facet, cf https://bugs.eclipse.org/bugs/show_bug.cgi?id=470715

    @Deprecated
    public interface NameProvider

The interface that must be implemented in order to use the naming extension. Implementors may choose to use the `FilteredNameProvider` interface instead if they want to add a filter, or the `AbstractNameProvider` class, which implements default naming rules.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.lang.String` `getName(EObject eObject)` Deprecated.

### Method Detail

#### getName

    java.lang.String getName(EObject eObject)

Deprecated.

Returns:
  the name that must be displayed for the given `EObject`, or `null` to keep the default name (or let another `NameProvider` provide the name)